/* selector */

#selector-test {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 20;
    background-color: red;
    text-align: center;
}

.selector-wrapper {
    position: relative;
    aspect-ratio: 1920/1080;
    max-height: 1080px;
    /*max-width: 1920px;*/
    /*margin: 0 auto;*/
}

section.selector {
    position: relative;
    z-index: 1;
    height: 100%;
}

#selector {
    height: inherit;
    position: relative;
    overflow: hidden;
    /*
    max-height: 895px;
    position: relative;
    overflow: hidden;
     */
}


#selector #flats-layer {
    display: none;
    z-index: 10;
}

#selector  #flats-background {
    z-index: 11;
    background-color: rgba(0,0,0,0.45);
}

#selector  #flat-areas {
    z-index: 12;
}

#selector-image {
    width: 100%;
    /*height: 100%;*/
    /*object-fit: cover;*/
    z-index: 1;
    pointer-events: none;
}

#selector .layer {
    position: absolute;
    inset: 0;
    /*
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
     */
    z-index: 2;
}

#selector #floor-areas {
    z-index: 6;
}

#selector svg {
    width: 100%;
    height: auto;
}

#floor-areas g polygon {
    fill: #00615d;
    opacity: 0;
    transition: 0.4s ease-in-out;
}

#floor-areas g.active polygon {
    opacity: 0.6;
    cursor: pointer;
}

#floor-desc {
    position: fixed;
    pointer-events: none;
    z-index: 25;
    background-color: var(--color-green-dark);
    color: #fff;
    text-align: center;
    padding: 20px;
    transform: translate(20px, 20px);
    display: none;
    min-width: 160px;
}

#floor-desc.active {
    display: block;
}

